Index

A |
| AVL trees
C |
| Common data types
| Compiler support
D |
| Doubly-linked lists
| Dynamic loading
E |
| Enumerations
F |
| File system
| Functions NASPRO/core/avl.h NASPRO/core/dl.h NASPRO/core/env.h NASPRO/core/fs.h NASPRO/core/list.h NASPRO/core/locale.h NASPRO/core/msg.h NASPRO/core/mutex.h NASPRO/core/sem.h NASPRO/core/string.h NASPRO/core/thread.h NASPRO/core/types.h
G |
| Global Declaration Macros
L |
| Locales
M |
| Macros NASPRO/core/locale.h NASPRO/core/types.h
| Message reporting
| Mutexes

AVL trees.
Data types used throughout the library and related generic utilities and defintions.
Compiler-level abstraction.
Doubly-linked lists.
Dynamic linking loader.
File system interaction.
These macros are meant to be used to delimit declarations in public header files.
Thread-local locales.
Callback-based message reporting to the user.
Mutexes with deadlock checking.
Close